Fork me on GitHub
文章目录
  1. 1. 前言
  2. 2. 软件环境
  3. 3. 注意事项
  4. 4. 1. 卸载旧版PHP5
  5. 5. 2. 安装PHP7
  6. 6. 3. 配置Apache
  7. 7. 闲扯两句
  8. 8. 感谢

前言

毕设用Laravel5.4做了个简单的点餐系统,需要PHP版本大于5.6.3,而我的阿里云ECS上的还是用的5.5.9.索性把它升到PHP7算了,但是在升级的过程中遇到了一些问题,在此记录一下. 我使用的是Apache+Mysql+PHP

软件环境

  • 操作系统: Ubuntu 14.04
  • 涉及PHP版本: PHP5.6 PHP7
  • 服务器: Apache 2.4

注意事项

本文适用于LAMP环境已经搭建好,单纯想从PHP5升级到PHP7的同学. 如何搭建LAMP环境不再赘述

1. 卸载旧版PHP5

所使用的命令如下:

1
sudo aptitude purge `dpkg -l | grep php| awk '{print $2}' |tr "\n" "`

请注意!上述命令会卸载系统所有已经安装的PHP版本,请结合自身需要食用

2. 安装PHP7

  • 添加PPA(Personal Package Archives):

    1
    sudo apt-get install python-software-properties software-properties-common
    sudo add-apt-repository ppa:ondrej/php
    sudo apt-get update
  • 安装PHP7以及一些必要的扩展:

    1
    sudo apt-get install php7.0-fpm php7.0-cli php7.0-mcrypt php7.0-mysql php7.0-mbstring php7.0-xml

3. 配置Apache

1
sudo a2dismod php5                          # 禁用Apache的PHP5模块
sudo a2enmod php7.0                         # 启用Apache的PHP7模块
sudo systemctl restart apache2              # 重启Apache

至此,如果没有任何问题的话,应该是成功地升级到了PHP7了. 如果启动Apache失败,可以打开Apache的错误日志进行对症下药~

闲扯两句

  • 禁用Apache模块: a2enmod xxx, 例如a2enmod php7.0
  • 启用Apache模块: a2dismod xxx, 例如a2dismod php5
  • Ubuntu下Apache的错误日志的默认位置是: /var/log/apache2/error.log, 不过这个文件夹需要root权限
  • 启用PHP模块: sudo phpenmod xxx, 例如sudo phpenmod mcrypt

感谢

感谢访问我的个人博客的朋友,如果您感觉本站对您搜索的问题有所帮助,并感觉对本站还满意的话,顶一下吧,希望您把本站分享给您的朋友!在此对您表示由衷的谢意! :-)